package com.lovecoding.beans;

import org.springframework.context.support.ClassPathXmlApplicationContext;

public class UserTest {

    public static void main(String[] args) throws ClassNotFoundException, InstantiationException, IllegalAccessException {

//          Ioc 演示
//        ClassPathXmlApplicationContext context =
//                new ClassPathXmlApplicationContext("users.xml");
//        User user =  (User) context.getBean("user");
//        user.say();

//          演示 Ioc 匹配对象类型 自动注入
        ClassPathXmlApplicationContext context =
                new ClassPathXmlApplicationContext("users.xml");
        Person Person = context.getBean("Person", Person.class);
        User user = Person.getUser();
        user.say();

//        Spring 框架IOC 实例化对象是通过反射和空参构造器
//        Class aClass = Class.forName("com.lovecoding.beans.User");
//        User o =  (User) aClass.newInstance();
//        o.say();

    }

}
