package com.lovecoding.di;

public class Book {

    /**
     * 注入就是DI
     * 注入 一般分为两种
     * 1 通过 set方法 注入
     * 2 通过构造函数 注入
     */
    private String title;
    private String author;

    public Book(){}

    public Book( String title, String author ){
        this.title = title;
        this.author = author;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return "Book{" +
                "title='" + title + '\'' +
                ", author='" + author + '\'' +
                '}';
    }

    public void setAuthor(String author) {
        this.author = author;
    }
}
