package com.lovecoding.aop;

import com.lovecoding.SpringConfig;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;

/**
 * 通过配置类 配置AOP切片
 *
 */
public class ConfigAop {

//    /**
//     * 静态代理 模拟AOP效果
//     * @param args
//     */
//    public static void main(String[] args) {
//        AnnotationConfigApplicationContext context =
//                new AnnotationConfigApplicationContext(SpringConfig.class);
//        CounterAop bean = context.getBean(CounterAop.class);
//        bean.add( 5, 5 );
//        bean.sub( 10, 5 );
//    }


    /**
     * 使用 Spring AOP 实现功能的切片
     * @param args
     */
    public static void main(String[] args) {
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(SpringConfig.class);
        Counter bean = context.getBean("countterImpl", Counter.class);
        bean.add(5, 5);
        //bean.sub(5, 5);
    }
}
