package com.lovecoding.service;

import com.lovecoding.dao.LoginDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

//通过 value 配置Bean对象 名字（ID）
@Service(value = "loginService")
public class LoginServiceImpl implements LoginService {

    LoginDao loginDao;

    @Autowired
    public LoginServiceImpl(LoginDao loginDao) {
        this.loginDao = loginDao;
    }

    public void setLoginDao( LoginDao loginDao) {
        this.loginDao = loginDao;
    }

    @Override
    public void login() {
        loginDao.login();
    }
}
