package com.lovecoding.diarray;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;

public class MyBeanPost implements BeanPostProcessor {

    public Object postProcessBeforeInitialization(Object bean, String beanName) throws BeansException {

        System.out.println( "bean的后置处理器" );

        return bean;
    }


    public Object postProcessAfterInitialization(Object bean, String beanName) throws BeansException {

        System.out.println( "bean的前置处理器" );

        return bean;
    }

}
