package com.lovecoding.controller;

import com.lovecoding.service.LoginService;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.stereotype.Component;


public class LoginController {
    private LoginService loginService;

    public void setLoginService(LoginService loginService) {
        this.loginService = loginService;
    }

    public void login(){
        loginService.login();
    }

    public static void main(String[] args) {
        ClassPathXmlApplicationContext context =
                new ClassPathXmlApplicationContext("login.xml");
        LoginController bean = context.getBean(LoginController.class);
        bean.login();
    }
}
